# Uses of Class
com.ngrok.definitions.EndpointMutualTlsMutate

Packages that use EndpointMutualTlsMutate
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointMutualTlsMutate in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointMutualTlsMutate
  Modifier and Type
  Method
  Description
  `EndpointMutualTlsMutate`
  EndpointMutualTlsMutate.Builder.`build()`
  Constructs the `EndpointMutualTlsMutate` instance.

- ## Uses of EndpointMutualTlsMutate in com.ngrok.services

  Methods in com.ngrok.services with parameters of type EndpointMutualTlsMutate
  Modifier and Type
  Method
  Description
  `HttpsEdgeMutualTlsModule.ReplaceCallBuilder`
  HttpsEdgeMutualTlsModule.ReplaceCallBuilder.`module(EndpointMutualTlsMutate module)`
  Sets the `module` parameter.
  `TlsEdgeMutualTlsModule.ReplaceCallBuilder`
  TlsEdgeMutualTlsModule.ReplaceCallBuilder.`module(EndpointMutualTlsMutate module)`
  Sets the `module` parameter.
  `EdgesHttps.CreateCallBuilder`
  EdgesHttps.CreateCallBuilder.`mutualTls(EndpointMutualTlsMutate mutualTls)`
  edge modules
  `EdgesHttps.UpdateCallBuilder`
  EdgesHttps.UpdateCallBuilder.`mutualTls(EndpointMutualTlsMutate mutualTls)`
  edge modules
  `EdgesTls.CreateCallBuilder`
  EdgesTls.CreateCallBuilder.`mutualTls(EndpointMutualTlsMutate mutualTls)`
  Sets the `mutual_tls` parameter.
  `EdgesTls.UpdateCallBuilder`
  EdgesTls.UpdateCallBuilder.`mutualTls(EndpointMutualTlsMutate mutualTls)`
  Sets the `mutual_tls` parameter.
  Method parameters in com.ngrok.services with type arguments of type EndpointMutualTlsMutate
  Modifier and Type
  Method
  Description
  `HttpsEdgeMutualTlsModule.ReplaceCallBuilder`
  HttpsEdgeMutualTlsModule.ReplaceCallBuilder.`module(Optional<EndpointMutualTlsMutate> module)`
  Sets (or unsets) the `module` parameter.
  `TlsEdgeMutualTlsModule.ReplaceCallBuilder`
  TlsEdgeMutualTlsModule.ReplaceCallBuilder.`module(Optional<EndpointMutualTlsMutate> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttps.CreateCallBuilder`
  EdgesHttps.CreateCallBuilder.`mutualTls(Optional<EndpointMutualTlsMutate> mutualTls)`
  edge modules
  `EdgesHttps.UpdateCallBuilder`
  EdgesHttps.UpdateCallBuilder.`mutualTls(Optional<EndpointMutualTlsMutate> mutualTls)`
  edge modules
  `EdgesTls.CreateCallBuilder`
  EdgesTls.CreateCallBuilder.`mutualTls(Optional<EndpointMutualTlsMutate> mutualTls)`
  Sets (or unsets) the `mutual_tls` parameter.
  `EdgesTls.UpdateCallBuilder`
  EdgesTls.UpdateCallBuilder.`mutualTls(Optional<EndpointMutualTlsMutate> mutualTls)`
  Sets (or unsets) the `mutual_tls` parameter.